﻿using System.Collections.Generic;

namespace GenLib.Data
{
    /// <summary>
    /// This class represents DataObject in input data JSON file.
    /// </summary>
    public class DataObject
    {
        /// <summary>
        /// Name of the input data object.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// List of input data attributes.
        /// </summary>
        public List<DataAttribute> Attributes { get; set; }

        /// <summary>
        /// List of input data objects.
        /// </summary>
        public List<DataObject> Descendants { get; set; }
    }
}
