﻿namespace GenLib.Entity
{
    /// <summary>
    /// Parse entity. It relates with 'parse' rule in the grammar.
    /// </summary>
    public class Parse
    {
        /// <summary>
        /// This property contains Block entity in this Parse entity context.
        /// </summary>
        public Block Block { get; private set; }

        /// <summary>
        /// Constructor of the Parse class.
        /// </summary>
        /// <param name="block">Block entity in this Parse entity context.</param>
        public Parse(Block block)
        {
            Block = block;
        }

    }
}
