﻿namespace TemplateBuilder.Model.Entities
{
    /// <summary>
    /// This static class contains constants of the TemplateBuilder project.
    /// </summary>
    public static class Constants
    {
        /// <summary>
        /// Key of the datetime Image in Metadata Tree View.
        /// </summary>
        public static readonly string DATE_TIME_IMAGE_KEY = "dateTimeImage";

        /// <summary>
        /// Key of the Number Image in Metadata Tree View.
        /// </summary>
        public static readonly string NUMBER_IMAGE_KEY = "numberImage";

        /// <summary>
        /// Key of the Text Image in Metadata Tree View.
        /// </summary>
        public static readonly string TEXT_IMAGE_KEY = "textImage";

        /// <summary>
        /// Key of the default Image in Metadata Tree View.
        /// </summary>
        public static readonly string DEFAULT_IMAGE_KEY = "defaultImage";

        /// <summary>
        /// Key of the directive Image in Metadata Tree View.
        /// </summary>
        public static readonly string DIRECTIVE_IMAGE_KEY = "directiveImage";

        /// <summary>
        /// Key of the node Image in Metadata Tree View.
        /// </summary>
        public static readonly string NODE_IMAGE_KEY = "nodeImage";

    }
}
